NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::DisplayModification Class Reference

Represents changes to the display characteristics of an object. More...

Inheritance diagram for NXOpen::DisplayModification:
NXOpen::TransientObject

Public Member Functions

void Apply (const std::vector< NXOpen::DisplayableObject * > &objects)
 Apply this display modification to a set of objects
Created in NX3.0.0. More...
 
bool ApplyToAllFaces ()
 Returns the apply to all faces flag. More...
 
bool ApplyToOwningParts ()
 Returns the flag to apply display changes to Owning Parts. More...
 
bool FaceAnalysisMode ()
 Returns the face analysis mode flag. More...
 
void GetNewGrid (int *uGrid, int *vGrid)
 Get grid count for objects which will be modified. More...
 
bool KnotDisplayState ()
 Returns the flag for knot display. More...
 
int NewColor ()
 Returns a new color for objects which will be modified. More...
 
NXOpen::DisplayableObject::ObjectFont NewFont ()
 Returns a new font (line style) for objects which will be modified
Created in NX3.0.0. More...
 
int NewLayer ()
 Returns a new layer for objects which will be modified. More...
 
int NewTranslucency ()
 Returns a new translucency value for objects which will be modified. More...
 
NXOpen::DisplayableObject::ObjectWidth NewWidth ()
 Returns a new line width for objects which will be modified
Created in NX3.0.0. More...
 
bool PartiallyShaded ()
 Returns the partial shading flag. More...
 
bool PoleDisplayState ()
 Returns the flag for pole display. More...
 
void SetApplyToAllFaces (bool apply)
 Sets the apply to all faces flag. More...
 
void SetApplyToOwningParts (bool apply)
 Sets the flag to apply display changes to Owning Parts. More...
 
void SetFaceAnalysisMode (bool on)
 Sets the face analysis mode flag. More...
 
void SetKnotDisplayState (bool on)
 Sets the flag for knot display. More...
 
void SetNewColor (int newColor)
 Sets a new color for objects which will be modified. More...
 
void SetNewFont (NXOpen::DisplayableObject::ObjectFont newFont)
 Sets a new font (line style) for objects which will be modified
Created in NX3.0.0. More...
 
void SetNewGrid (int uGrid, int vGrid)
 Set a new grid count for objects which will be modified. More...
 
void SetNewLayer (int layer)
 Sets a new layer for objects which will be modified. More...
 
void SetNewTranslucency (int translucency)
 Sets a new translucency value for objects which will be modified. More...
 
void SetNewWidth (NXOpen::DisplayableObject::ObjectWidth newWidth)
 Sets a new line width for objects which will be modified
Created in NX3.0.0. More...
 
void SetPartiallyShaded (bool on)
 Sets the partial shading flag. More...
 
void SetPoleDisplayState (bool on)
 Sets the flag for pole display. More...
 
virtual ~DisplayModification ()
 Free resources associated with the instance. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

Represents changes to the display characteristics of an object.

Input to this class can be PSM facet objects.


Created in NX3.0.0.

Constructor & Destructor Documentation

virtual NXOpen::DisplayModification::~DisplayModification ( )
virtual

Free resources associated with the instance.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX3.0.0.

License requirements : None

Member Function Documentation

void NXOpen::DisplayModification::Apply ( const std::vector< NXOpen::DisplayableObject * > &  objects)

Apply this display modification to a set of objects
Created in NX3.0.0.



License requirements : None

Parameters
objectsobjects to be modified
bool NXOpen::DisplayModification::ApplyToAllFaces ( )

Returns the apply to all faces flag.

Specifies whether the modification should apply to all faces of any bodies to which this is applied.
Created in NX3.0.0.

License requirements : None

bool NXOpen::DisplayModification::ApplyToOwningParts ( )

Returns the flag to apply display changes to Owning Parts.

Specifies whether the display modifications should apply to the owning parts of the selected objects.
Created in NX7.5.0.

License requirements : None

bool NXOpen::DisplayModification::FaceAnalysisMode ( )

Returns the face analysis mode flag.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

void NXOpen::DisplayModification::GetNewGrid ( int *  uGrid,
int *  vGrid 
)

Get grid count for objects which will be modified.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

Parameters
uGridnumber of grid lines in the u direction
vGridnumber of grid lines in the v direction
bool NXOpen::DisplayModification::KnotDisplayState ( )

Returns the flag for knot display.

Only applies to b-spline.
Created in NX5.0.0.

License requirements : None

int NXOpen::DisplayModification::NewColor ( )

Returns a new color for objects which will be modified.

This is in the range from 1 to 216.
To convert an RGB value to an NX color index, use UF_DISP_ask_closest_color. To convert a color name to an NX color index, use UF_DISP_ask_closest_color_in_displayed_part or UF_DISP_ask_closest_color_in_part. For unmanaged C++, use these functions directly. Otherwise, use the corresponding wrapper methods of class NXOpen.UF.UFDisp.


Created in NX3.0.0.

License requirements : None

NXOpen::DisplayableObject::ObjectFont NXOpen::DisplayModification::NewFont ( )

Returns a new font (line style) for objects which will be modified
Created in NX3.0.0.



License requirements : None

int NXOpen::DisplayModification::NewLayer ( )

Returns a new layer for objects which will be modified.


Created in NX3.0.0.

License requirements : None

int NXOpen::DisplayModification::NewTranslucency ( )

Returns a new translucency value for objects which will be modified.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

NXOpen::DisplayableObject::ObjectWidth NXOpen::DisplayModification::NewWidth ( )

Returns a new line width for objects which will be modified
Created in NX3.0.0.



License requirements : None

bool NXOpen::DisplayModification::PartiallyShaded ( )

Returns the partial shading flag.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

bool NXOpen::DisplayModification::PoleDisplayState ( )

Returns the flag for pole display.

Only applies to b-spline.
Created in NX5.0.0.

License requirements : None

void NXOpen::DisplayModification::SetApplyToAllFaces ( bool  apply)

Sets the apply to all faces flag.

Specifies whether the modification should apply to all faces of any bodies to which this is applied.
Created in NX3.0.0.

License requirements : None

Parameters
applytrue to apply the modification to all faces
void NXOpen::DisplayModification::SetApplyToOwningParts ( bool  apply)

Sets the flag to apply display changes to Owning Parts.

Specifies whether the display modifications should apply to the owning parts of the selected objects.
Created in NX7.5.0.

License requirements : None

Parameters
applytrue to apply the display property changes to the owning parts
void NXOpen::DisplayModification::SetFaceAnalysisMode ( bool  on)

Sets the face analysis mode flag.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

Parameters
ontrue to enable face analysis mode
void NXOpen::DisplayModification::SetKnotDisplayState ( bool  on)

Sets the flag for knot display.

Only applies to b-spline.
Created in NX5.0.0.

License requirements : None

Parameters
ontrue to enable knot display
void NXOpen::DisplayModification::SetNewColor ( int  newColor)

Sets a new color for objects which will be modified.

This is in the range from 1 to 216.
To convert an RGB value to an NX color index, use UF_DISP_ask_closest_color. To convert a color name to an NX color index, use UF_DISP_ask_closest_color_in_displayed_part or UF_DISP_ask_closest_color_in_part. For unmanaged C++, use these functions directly. Otherwise, use the corresponding wrapper methods of class NXOpen.UF.UFDisp.


Created in NX3.0.0.

License requirements : None

Parameters
newColornew color value
void NXOpen::DisplayModification::SetNewFont ( NXOpen::DisplayableObject::ObjectFont  newFont)

Sets a new font (line style) for objects which will be modified
Created in NX3.0.0.



License requirements : None

Parameters
newFontnew font
void NXOpen::DisplayModification::SetNewGrid ( int  uGrid,
int  vGrid 
)

Set a new grid count for objects which will be modified.


Created in NX3.0.0.

License requirements : None

Parameters
uGridnumber of grid lines in the u direction
vGridnumber of grid lines in the v direction
void NXOpen::DisplayModification::SetNewLayer ( int  layer)

Sets a new layer for objects which will be modified.


Created in NX3.0.0.

License requirements : None

Parameters
layernew layer, must be a valid layer number
void NXOpen::DisplayModification::SetNewTranslucency ( int  translucency)

Sets a new translucency value for objects which will be modified.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

Parameters
translucencynew translucency value in the range 0 to 100
void NXOpen::DisplayModification::SetNewWidth ( NXOpen::DisplayableObject::ObjectWidth  newWidth)

Sets a new line width for objects which will be modified
Created in NX3.0.0.



License requirements : None

Parameters
newWidthnew line width
void NXOpen::DisplayModification::SetPartiallyShaded ( bool  on)

Sets the partial shading flag.

Only applies to faces.
Created in NX3.0.0.

License requirements : None

Parameters
ontrue for partial shading on
void NXOpen::DisplayModification::SetPoleDisplayState ( bool  on)

Sets the flag for pole display.

Only applies to b-spline.
Created in NX5.0.0.

License requirements : None

Parameters
ontrue to enable pole display

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.